### Method

# Adw SidebarItem set_icon_name

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_item_set_icon_name (
      AdwSidebarItem* self,
      const char* icon_name
    )

#### Description [src]

Sets the icon name for `item`.

Mutually exclusive with `AdwSidebarItem:icon-paintable`.

Available since: 1.9

Sets property | `Adw.SidebarItem:icon-name`

#### Parameters

`icon_name`

  Type: `const char*`

  The icon name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.